N=64;
beta=5.48;
window=[0:N-1]';
wo=1.61*pi;
w1=.838;
w2=.448;
x=cos(window*wo)+0.5*cos(window*w1)+ 0.75*cos(window*w2);
Kwindow=kaiser(N,beta);
v=x.*Kwindow;
Vspect=fft(v, 1024);
w=[0:1024-1]'*2*pi/1024;

plot(w(1:512)/pi, abs(Vspect(1:512))), grid on;
xlabel('Normalized Freq. (*\pi)'), ylabel('Magnitude');
title('Spectral Analysis, wo=0.3(*\pi)');