
cutoffw=.4*pi;
beta=cos(cutoffw);
bandw=0.08*pi;
v=[cos(bandw),-2,cos(bandw)];
alpha=roots(v);

if abs(alpha(1))< 1
    alpha=alpha(1);
else
    alpha=alpha(2);
end

num=(1-alpha)*[1,0,-1];
den=2*[1,-beta*(1+alpha),alpha];
freqz(num,den);
tf(num,den,1)

%Resulting Transfer Function
% 0.2243 z^2 - 0.2243
%-----------------------
%2 z^2 - 1.097 z + 1.551
 