num = [-.22 0 .22];
den = [.78 -.45 1];
w = [0:pi/1024:pi]';

a = [-.4044 .5];
A = [.5 .808965 .5];

b = [-.152908 .5];
B = [.5 -.305817 .5];

num1 = conv(a, B);
num2 = conv(b, A);
num3 = num1 + num2;
num4 = conv(A, B);


finalnum = conv(num3, num);
finaldem = conv(den, num4);

tf(finalnum, finaldem, 1)

%Transfer Function
%0.0613 z^5 - 0.11 z^4 - 0.05535 z^3 - 5.462e-006 z^2 - 0.005958 z + 0.11
%--------------------------------------------------------------------------------
%0.195 z^6 + 0.08373 z^5 + 0.3338 z^4 + 0.3341 z^3 + 0.3344 z^2 + 0.1391 z + 0.25

graph = freqz(finalnum, finaldem, w);
magHz = abs(graph);
phaseHz = angle(graph); 


subplot(2,1,1)
plot(w, 20*log10(magHz))
grid on
xlabel('dB')
ylabel('omega')
subplot(2, 1, 2)
plot(w, phaseHz)
grid on
xlabel('omega')
ylabel('Angle')

